from math import *
from visual import *

FILENAME  = "pos_sample.txt"

def view_file(filename=FILENAME):
    RT = []
    CT = []
    set_radius = 0.025
    
    EAradius = .10 * 2  
    EBradius = .10 * 2 
    
    for f in open(filename,'r'):
        data = [x.strip().split(',') for x in f.strip().split(';')][:-1]
        R,C  = zip(*data)
        R= [map(float,x.strip().split(' ')) for x in R]
        C= [int(x) for x in C] 
        RT.append(R)
        CT.append(C)
    
    #scene.center    = vector(0,0,0)
    scene.range = 1
    
    N = len(RT[0])
    S = [ring(pos=vector(0,0,0),radius=set_radius,axis=(0,0,1)) for n in xrange(N)]
    
    ellipsoid(pos=vector(0,0,0),length=EAradius,height=EBradius,width=.1)
    
    for R,C in zip(RT,CT):
        rate(50)
        for r,s,c,n in zip(R,S,C,range(len(R))): 
            s.pos = vector(r)
            s.color = (c,c/2.,1)
    
        scene.autoscale = False

if __name__ == "__main__":
    import sys
    if len(sys.argv) > 1:
        FILENAME = sys.argv[1]
    view_file(FILENAME)
